<?php
/**
 * This script is a configuration file for the add_this plugin.
 * These settings will be used in the administration interface for plugins
 * (Chamilo configuration settings->Plugins)
 * @package chamilo.plugin rgpd_consentement
 * @author Damien Renou <renou.damien@live.fr>
 */
 
/* Plugin config */

require_once __DIR__.'/../../main/inc/global.inc.php';

$varUrl = __DIR__.'/chamilo_boost_webconf.php';

require_once($varUrl);
$plugin_info = chamilo_boost_webconf::create()->get_info();

require_once("fonctions.php");

// The plugin title.
$plugin_info['title'] = 'chamilo_boost_webconf';
// The comments that go with the plugin.
$plugin_info['comment'] = "chamilo_boost_webconf (content top)";
// The plugin version.
$plugin_info['version'] = '1.1';
// The plugin author.
$plugin_info['author'] = 'Damien Renou';

// The plugin configuration.
$form = new FormValidator('form');

$defaults = array();

$aid = api_get_current_access_url_id();
$defaults['urlinterface'] = api_get_plugin_chamilo_boost_webconf_setting_access_url('chamilo_boost_webconf', 'urlinterface',$aid);
$defaults['namesociety'] = api_get_plugin_chamilo_boost_webconf_setting_access_url('chamilo_boost_webconf', 'namesociety',$aid);
$defaults['datamanager'] = api_get_plugin_chamilo_boost_webconf_setting_access_url('chamilo_boost_webconf', 'datamanager',$aid);

$form->addElement('header',"Conditions d'affichage");
$options = array('tile' => 'tile');

$autocomplete2 = $form->addElement('text', 'urlinterface'.$aid, 'Url du site :');
$autocomplete2->setValue($defaults['urlinterface']);

$autocomplete2 = $form->addElement('text', 'namesociety'.$aid, 'Nom entreprise :');
$autocomplete2->setValue($defaults['namesociety']);

$autocomplete2 = $form->addElement('text', 'datamanager'.$aid, 'Responsable du traitement :');
$autocomplete2->setValue($defaults['datamanager']);

//Save
$form->addButtonSave(get_lang('Save'));

// Get default value for form
$plugin_info['settings_form'] = $form;

//set the templates that are going to be used
$plugin_info['templates'] = array('template.tpl');


